local E, L, V, P, G = unpack(ElvUI)
local ChangeLog = E:NewModule('ChangeLog', 'AceEvent-3.0')
local S = E:GetModule('Skins')

-- by eui.cc@20170625

-- Cache global variables
-- Lua functions
local gmatch, gsub, find, sub = string.gmatch, string.gsub, string.find, string.sub
local tinsert = table.insert
local pairs, tonumber = pairs, tonumber
-- WoW API / Variables
local CreateFrame = CreateFrame

-- Global variables that we don't cache, list them here for the mikk's Find Globals script
-- GLOBALS: MERData, PlaySound, UISpecialFrames

local ChangeLogWebData = [=[
<b>20201019A</b>
<b>1. 修正V1姓名版的一些问题.</b>
<b>2. 更新DBM-PvP模块.</b>
<b>3. 内置库更新.</b>
<b>20201018A</b>
<b>1. 更新Skada伤害统计插件并修正错误.</b>
<b>2. 默认开启单体框体的瘦边框主题，设置在一般设置的材质里.</b>
<b>20201017B</b>
<b>1. 修正WA皮肤的一处错误.</b>
<b>2. 背包可直接拖动.</b>
<b>3. ROLL币额外奖励预览更新.</b>
<b>20201017A</b>
<b>1. 更新迷失控制等系统皮肤.</b>
<b>2. 修正右键菜单的一些错误.</b>
<b>3. 修正离线数据中心密语记录的错误.</b>
<b>4. 更新大秘境计时插件.</b>
<b>5. 修复伤害统计插件的报错.</b>
<b>6. 一些内置库更新.</b>
<b>20201016A</b>
<b>1. 修复专业标签,学习所有按键.</b>
<b>2. 修复自动按键任务物品任务扫描.</b>
<b>3. 更新MSBT战斗文字.</b>
<b>4. 更新地图标记-暗影国度模块.</b>
<b>5. 更新地图标记-奥丹姆和锦绣谷宝藏稀有模块.</b>
<b>6. 更新一键宏模块.</b>
<b>7. 更新并修复要塞增强包.</b>
<b>8. 更新DBM-PvP模块.</b>
<b>9. 更新Masque皮肤模块.</b>
<b>10. 更新MDT插件.</b>
<b>11. 修复离线数据中心、邮箱等插件的兼容问题.</b>
<b>20201015B</b>
<b>1. 增加删除物品可按Delete确认.</b>
<b>2. 修复装备列表头像的绿字开关.</b>
<b>3. 一些LUA错误修正.</b>
<b>20201015A</b>
<b>1. 适配WOW9.0更新.</b>
<b>2. 部份不适配模块暂时禁用.</b>
<b>3. V1姓名版有故障，请先使用V2.</b>
<b>20201009A</b>
<b>1. 修正打断通告的错误.</b>
<b>20201004A</b>
<b>1. DBM更新至0201001164748.</b>
<b>1. 感谢网友『潇潇』修正V1姓名版任务图标问题.</b>
<b>2. 更新图标美化包Masque.</b>
<b>20200918B</b>
<b>1. 修正信息文字中菜单等事件异常.</b>
<b>20200917B</b>
<b>1. 修正动作条1不能翻页的问题.</b>
<b>2. 修正V1姓名版的报错等.</b>
<b>20200917A</b>
<b>1. DBM更新至20200910223119.</b>
<b>2. 修正美化皮肤一处报错问题.</b>
<b>3. Masque增加一款Hex AmtoftEU的蜂窝六边形的皮肤.</b>
<b>4. 修正V2姓名版目标指示器材质选择和尺寸微调功能.</b>
<b>5. 内核更新.</b>
<b>20200827B</b>
<b>1. 这次是真的了.</b>
<b>2. 更新MDT新版.</b>
<b>3. 修正动作条Masque皮肤设置问题.</b>
<b>20200827A</b>
<b>1. 修正因GCD造成的目标框体问题.</b>
<b>20200824A</b>
<b>1. DBM更新至20200820152241.</b>
<b>2. 更新世界地图追踪框功能.</b>
<b>3. 内置库更新等.</b>
<b>20200806A</b>
<b>1. DBM更新至20200805233308.</b>
<b>2. 信息文字修正错误.</b>
<b>3. 内核内置库更新等.</b>
<b>20200731A</b>
<b>1. DBM更新至20200730031826.</b>
<b>2. 一键宏更新新版.</b>
<b>3. 技能监视组增加新的iFilger模块,可自定义设置监视.</b>
<b>4. 添加BenikUI的AFK样式.</b>
<b>20200722A</b>
<b>1. 增加旧版信息文字DB转换.</b>
<b>2. 聊天框输入框不透明.</b>
<b>3. 修正鼠标提示中TAGS本地化.</b>
<b>20200721C</b>
<b>1. 修正美化皮肤模块的一些错误和本地化.</b>
<b>2. 修正解锁EUI框体隐藏 未启用框体模块无效的问题.</b>
<b>3. 修正数据条初始高度和定位问题.</b>
<b>4. 调整特殊能量条的初始位置.</b>
<b>5. 补充OUF自带TAG标签的本地化.</b>
<b>20200721B</b>
<b>1. 修正版本同步的错误.</b>
<b>20200721A</b>
<b>1. 更新DBM至20200714153822.</b>
<b>2. EUI内核更新.</b>
<b>3. 更新美化皮肤模块,更新动作条高亮模块等.</b>
<b>4. 内置库更新.</b>
<b>20200619A</b>
<b>1. 更新DBM至20200612160310.</b>
<b>2. 更新属性报告增加特质等信息.</b>
<b>3. 更新MDT.</b>
<b>20200606A</b>
<b>1. 更新DBM至20200605205619,更新DBM-PvP模块.</b>
<b>2. 修复聊天屏蔽词语的问题.</b>
<b>20200604A</b>
<b>1. 更新DBM至20200603220756.</b>
<b>2. 更新系统皮肤.</b>
<b>20200529A</b>
<b>1. 更新DBM至20200528003905.</b>
<b>2. 移除Debug信息.</b>
<b>20200520A</b>
<b>1. 更新DBM挑战模块.</b>
<b>2. 更新地图标记-奥丹姆和锦绣谷宝藏稀有模块.</b>
<b>3. 修改任务等级显示模块.</b>
<b>4. 更新Myslot动作条配置保存插件,修改其新增的GUI配置与EUI联动.</b>
<b>5. 修改天赋/拾取信息文字字段显示等.</b>
<b>20200510A</b>
<b>1. 默认关闭单位框体的智能过滤显示开关.</b>
<b>20200509A</b>
<b>1. 修正解锁框隐藏未启用框体功能失效问题.</b>
<b>2. 修改EUI状态窗口并本地化.</b>
<b>3. 修正信息文字中金币因DB结构变化的错误.</b>
<b>20200508B</b>
<b>1. 修正鼠标提示中装等天赋等信息丢失.</b>
<b>20200508A</b>
<b>1. 修正单位框体头像等的一些错误.</b>
<b>20200506A</b>
<b>1. DBM更新至20200502015000.</b>
<b>2. EUI核心更新.</b>
<b>20200420B</b>
<b>1. 修正MDT库加载错误.</b>
<b>2. 玩家动作条现支持单独的字体设置.</b>
<b>20200420A</b>
<b>1. 支持关闭自动任务物品按键饰品栏和饰品栏的弹出框.</b>
<b>2. DBM更新至20200419142434,更新PvP和挑战模块.</b>
<b>3. 集成MDT大秘境小怪规划助手汉化插件.</b>
<b>20200415B</b>
<b>1. 修改自动任务物品模块一处错误.</b>
<b>20200415A</b>
<b>1. 修改自动任务物品模块一处错误.</b>
<b>1. DBM更新至20200414124947.</b>
<b>20200413A</b>
<b>1. 修改自动任务物品模块,增加饰品栏位置,可点击切换背包内饰品.</b>
<b>20200411A</b>
<b>1. 修改聊天框内嵌模块，使其设置由全局改为角色专享.</b>
<b>2. 集成暴雪团框修正补丁.</b>
<b>20200407A</b>
<b>1. DBM更新至20200331140921.</b>
<b>2. 战斗提示文字增加字号设置.</b>
<b>20200331A</b>
<b>1. 更新美化皮肤模块.</b>
<b>2. 修正单位框体头像不能脱离的问题, 脱离头像背景暂时无效.</b>
<b>20200327A</b>
<b>1. DBM更新至20200326040000.</b>
<b>2. DBM-PVP模块更新.</b>
<b>3. 增加DBM挑战模块.</b>
<b>4. 一键宏更新新版.</b>
<b>5. 更新系统皮肤.</b>
<b>6. 更新集合石增强版.</b>
<b>20200301A</b>
<b>1. DBM更新至20200229131603.</b>
<b>2. 一键宏更新新版.</b>
<b>3. 更新奥丹姆和锦绣谷宝藏稀有插件.</b>
<b>4. 鼠标提示增加腐蚀特效名称显示.</b>
<b>5. 内置库更新.</b>
<b>20200218A</b>
<b>1. DBM更新至8.3.14.</b>
<b>2. 修正任务等级显示的错误.</b>
<b>3. 鼠标提示增加EUI版本显示,默认关闭.</b>
<b>4. 修正掉线玩家颜色变化.</b>
<b>5. 内置库更新.</b>
<b>20200210A</b>
<b>1. 修正解锁框右键设置的问题.</b>
<b>2. 更新已知配方染色.</b>
<b>3. 更新世界地图追踪框功能.</b>
<b>4. 更新V2姓名版模块,更新单位框体光环模块和距离模块等.</b>
<b>5. 更新集合石增加尼奥罗萨和麦卡贡大秘境选项.</b>
<b>20200207A</b>
<b>1. 修正单位框体尺寸设置的问题.</b>
<b>2. 修正设置界面的一些错误.</b>
<b>20200205A</b>
<b>1. 修正V2姓名版预设值丢失的问题.</b>
<b>2. 已知配方染色现支持公会银行.</b>
<b>3. 更新奥丹姆和锦绣谷宝藏稀有插件.</b>
<b>4. 调整EUI设置界面,更新内置库等.</b>
<b>20200204A</b>
<b>1. 修复动作条6的编号错误.</b>
<b>2. 团队标记按钮可正确的生效透明主题.</b>
<b>3. 微调世界地图皮肤.</b>
<b>20200203A</b>
<b>1. 修复单位框体的能量条在某些情形下的报错.</b>
<b>2. 更新美化皮肤模块,添加Auctionator,修正WorldQuestTab等皮肤显示.</b>
<b>3. 更新奥丹姆和锦绣谷宝藏稀有插件.</b>
<b>4. 内置库更新.</b>
<b>20200202A</b>
<b>1. 更新DBM至8.3.9.</b>
<b>2. 更新GSE一键宏插件.</b>
<b>3. 更新奥丹姆和锦绣谷宝藏稀有插件.</b>
<b>4. 修复右聊天框内嵌右键隐藏失效的问题.</b>
<b>20200130A</b>
<b>1. 更新DBM至8.3.8.</b>
<b>2. 更新GSE一键宏插件.</b>
<b>3. 增加奥丹姆和锦绣谷稀有标记插件.</b>
<b>4. 更新Skada伤害统计插件.</b>
<b>20200127A</b>
<b>1. 更新DBM至8.3.6.</b>
<b>2. 添加新RAID副本DEBUFF,8.3新货币.</b>
<b>20200126A</b>
<b>1. DBM-PvP更新至r81.</b>
<b>2. 更新DBM至8.3.5,从VP-Taotao增加新副本语音提示.</b>
<b>3. 大量系统皮肤更新,内部模块微调.</b>
<b>20200117A</b>
<b>1. DBM-PvP更新至r80.</b>
<b>2. 更新已知配方染色模块.</b>
<b>3. 修复ALM和技能监视模块一处错误.</b>
<b>20200116B</b>
<b>1. 修正技能监视模块读图时事件丢失问题.</b>
<b>2. 离开载具按键设置移到动作条.</b>
<b>3. 神器能量条更新支持8.3特性.</b>
<b>4. 一些系统皮肤更新和修正.</b>
<b>20200116A</b>
<b>1. 适配WOW8.3</b>
<b>2. 更新DBM至8.3.0.</b>
<b>3. 更新要塞增强包.</b>
<b>20200108A</b>
<b>1. 移除捞月狗相关信息.</b>
<b>20191220A</b>
<b>1. 移除UI缩放提示框.</b>
<b>2. 修改单位框体BUFF/Debuff的默认过滤器和持续时间设置.</b>
<b>3. 更新一键宏插件.</b>
<b>4. 更新DBM和DBM-PVP模块.</b>
<b>20191210A</b>
<b>1. 更改姓名版V2的默认设置.</b>
<b>20191209A</b>
<b>1. DBM更新至20191205224005.</b>
<b>2. 更新图标美化包模块.</b>
<b>3. 内核更新.</b>
<b>20191122A</b>
<b>1. DBM更新至20191114024226.</b>
<b>2. 更换旧的打断通告代码.</b>
<b>20191114A</b>
<b>1. DBM更新至20191110003914.</b>
<b>2. 大秘境计时更新新版.</b>
<b>3. 美化插件皮肤更新新版.</b>
<b>4. 核心更新，新的光环条,增减益监视,副本DEBUFF等模块.</b>
<b>20191107A</b>
<b>1. 更新BfA宝藏模块.</b>
<b>2. DBM更新至20191107012918.</b>
<b>3. 更新战争前线宝藏模块.</b>
<b>4. 更新系统皮肤和信息条模块.</b>
<b>20191025A</b>
<b>1. 启用新的好友框职业色模块.</b>
<b>20191024A</b>
<b>1. 更新DBM至20191024000147.</b>
<b>2. 本地化离线死亡等TAG标签.</b>
<b>20191023B</b>
<b>1. 重添加WeakAuras皮肤.</b>
<b>20191023A</b>
<b>1. 修正职业色污染问题.</b>
<b>2. 更新DBM至20191016203947.</b>
<b>3. 更新一键宏插件.</b>
<b>4. 更新美化皮肤模块.</b>
<b>5. 更新V2姓名版任务图标模块.</b>
<b>20191011A</b>
<b>1. 更新姓名版任务怪图标提示.</b>
<b>2. 更新DBM至20191010030825.</b>
<b>3. 系统皮肤等模块修正.</b>
<b>20191001A</b>
<b>1. 修正V1姓名版任务怪图标提示问题.</b>
<b>2. 修正鼠标提示模块文件编码错误乱码问题.</b>
<b>3. 添加耐久度缩放比例选项，世界地图等皮肤更新.</b>
<b>20190929A</b>
<b>1. 修正V2姓名版任务怪图标提示问题.</b>
<b>2. 更新DBM至20190928230435.</b>
<b>20190927A</b>
<b>1. 修正因配置错误导致队伍框体的异常.</b>
<b>20190926B</b>
<b>1. 修正邮箱增强的报错.</b>
<b>2. 启用新的好友框职业染色模块.</b>
<b>3. 更新宠物对战增强的宠物数据库.</b>
<b>20190926A</b>
<b>1. 更新DBM至20190925031440.</b>
<b>2. 适配WOW8.2.5.</b>
<b>20190922A</b>
<b>1. 更新DBM至20190916010747.</b>
<b>2. 修正要塞皮肤与要塞增强包不兼容问题（图标位置错位）.</b>
<b>3. 更新一键宏插件.</b>
<b>20190914A</b>
<b>1. 更新DBM至20190914030648.</b>
<b>2. 修正透明主题的材质错误.</b>
<b>20190911A</b>
<b>1. 更新DBM至20190910191430.</b>
<b>2. 更新DBM-PVP模块.</b>
<b>3. EUI核心更新.</b>
<b>4. oUF等内置库更新.</b>
<b>20190829A</b>
<b>1. 修复错误复盖的怀旧服系统皮肤.</b>
<b>20190828A</b>
<b>1. 更新DBM，添加DBM-PVP模块.</b>
<b>20190808A</b>
<b>1. 修正丢失的API接口.</b>
<b>20190807A</b>
<b>1. 更新一键宏插件.</b>
<b>2. DBM 更新至20190806223205.</b>
<b>3. 更新鱼人兑换插件MTG，感谢NGA网友wahtwhenwherewhowhy.</b>
<b>20190725A</b>
<b>1. 修正Skada数值缩写设置失效的问题.</b>
<b>2. DBM 更新至20190725020807.</b>
<b>3. 更新地图标记-BfA宝藏模块,增加纳沙塔尔宝藏.</b>
<b>20190723B</b>
<b>1. 修复V2姓名版中丢失的目标指示器样式设置项.</b>
<b>20190723A</b>
<b>1. 增加鱼人兑换插件MTG，感谢NGA网友wahtwhenwherewhowhy.</b>
<b>2. 尝试增加地图模块框的拖拉移动(未测).</b>
<b>3. EUI核心更新.</b>
<b>4. DBM更新至20190720224413.</b>
<b>20190717A</b>
<b>1. 更新MSBT战斗文字.</b>
<b>2. 更新GSE一键宏插件.</b>
<b>3. 团框姓名增加一个过滤文本选项，用来过滤掉名字中不需要显示的字符，如家族名等.</b>
<b>4. 集合石更新以支持永恒王宫和麦卡贡行动.</b>
<b>5. 修正自动购买材料失效的问题.</b>
<b>6. DBM更新至 20190717050410.</b>
<b>20190711A</b>
<b>1. 修正V1姓名版非目标透明度问题.</b>
<b>2. 修正V1姓名版设置页快捷按键跳转错误的问题.</b>
<b>3. 现允许完全关闭自动交接任务模块,觉得战斗中交接任务有问题的可在增强功能中关闭此模块.</b>
<b>20190710A</b>
<b>1. 更新集合石.</b>
<b>2. DBM更新至 20190710024645.</b>
<b>3. V2姓名版增加仅姓名模式等.</b>
<b>20190706A</b>
<b>1. 再次删除麦卡贡地图稀有,纳沙塔尔稀有模块,不再添加了.</b>
<b>2. 修复战斗中不能接任务的问题.</b>
<b>20190704A</b>
<b>1. 调整声望条默认位置和高度.</b>
<b>2. DBM更新至 20190704031459.</b>
<b>3. V2姓名版增加纳沙塔尔追随者经验等功能.</b>
<b>4. 重新添加麦卡贡地图稀有,纳沙塔尔稀有模块.</b>
<b>5. 信息文字一些模块更新,修正单位框体施法条某些场景下错误.</b>
<b>20190702A</b>
<b>1. 更新地图标记-BfA宝藏模块.</b>
<b>2. 移除20190627B新增的稀有模块.</b>
<b>3. 更新美化皮肤模块.</b>
<b>4. 更新DBM至20190701154522.</b>
<b>5. 应求恢复V1姓名版.</b>
<b>6. 一些API适配修正.</b>
<b>20190628A</b>
<b>1. 移除天赋配置模块以解决一些战斗中不能打开角色面板等的问题.</b>
<b>2. 更新图标美化包模块.</b>
<b>20190627B</b>
<b>1. 添加8.2新RaidDebuff.</b>
<b>2. 修正姓名版目标指示器不能实时生效的问题.</b>
<b>3. 添加麦卡贡地图稀有,纳沙塔尔稀有模块.</b>
<b>4. 更新PVP皮肤,Rematch皮肤等.</b>
<b>20190627A</b>
<b>1. 更新以适配WOW8.2.</b>
<b>2. 更新美化皮肤模块.</b>
<b>3. 更新DBM至20190626180414.</b>
<b>4. 更新世界地图增强模块.</b>
<b>20190619A</b>
<b>1. 修正TAG标签中状态的定义.</b>
<b>2. 更新姓名版设置中可点击区域等相关设置.</b>
<b>3. 更新DBM语音版.</b>
<b>20190612A</b>
<b>1. 更新集合石为增强版.</b>
<b>2. 更新DBM语音版.</b>
<b>20190602A</b>
<b>1. 修正解锁界面快捷按钮失效的问题.</b>
<b>20190601A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 更新EUI核心,允许设置单位框体一些状态条背景.</b>
<b>3. 姓名版添加始终显示NPC开关,修正样式过滤器的一些错误.</b>
<b>4. 删除姓名版可见性设置,禁用BOSS样式的过滤器,其它一些性能优化.</b>
<b>20190525A</b>
<b>1. 更新部份本地化语言,姓名版觉得多个的请在其设置中关闭玩家框体.</b>
<b>2. 更新DBM语音版.</b>
<b>20190523A</b>
<b>1. 修正信息文字设置界面的报错.</b>
<b>2. 因兼容性问题移除V1姓名版,请启用原V2姓名版.</b>
<b>3. 更新DBM语音版.</b>
<b>20190521A</b>
<b>1. 更新EUI核心,修正V2姓名版材质，职业条等问题.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 更新GSE一键宏插件.</b>
<b>20190515B</b>
<b>1. 修正可ROLL装备鼠标提示问题.</b>
<b>20190515A</b>
<b>1. 修正边框色与生命条颜色相关联的问题.</b>
<b>20190513B</b>
<b>1. 修正DBM加载多余语言包的错误.</b>
<b>2. 修改符文时间字号同单位框体一般字号设置.</b>
<b>20190513A</b>
<b>1. 修正符文时间未加载的问题.</b>
<b>2. 更新施法条分段技能和数据.</b>
<b>3. 增加一些副本RaidDebuff.</b>
<b>4. 更改拾取框货币类材质显示.</b>
<b>5. 更改技能监视中SM的CD监视数据.</b>
<b>20190512A</b>
<b>1. 修正聊天框内嵌设置丢失的问题.</b>
<b>2. 更新DBM语音版.</b>
<b>20190501A</b>
<b>1. 更新集合石.</b>
<b>2. 更新大秘境增强插件.</b>
<b>3. 更新DBM语音版.</b>
<b>20190413A</b>
<b>1. 修正一处动作条相关的报错.</b>
<b>2. 调整职业条的背景色.</b>
<b>3. 更新美化皮肤模块.</b>
<b>20190411A</b>
<b>1. 修正V1姓名版光环条冷却的错误.</b>
<b>2. 修正技能监视冷却的问题.</b>
<b>3. 移除可ROLL框的自动装备比较,期望能解决鼠标提示问题.</b>
<b>4. 修正团队队伍号编码错误.</b>
<b>5. 透明主题下强制应用边框色.</b>
<b>20190410B</b>
<b>1. 修改V2姓名版默认血量显示格式.</b>
<b>2. 完善一些本地化问题.</b>
<b>3. 修正点击施法等库未加载的问题.</b>
<b>20190410A</b>
<b>1. 更新V2姓名版模块,增加目标缩放等功能.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 添加地图标记大锅模块.</b>
<b>4. 更新动作条，系统皮肤等模块.</b>
<b>20190324A</b>
<b>1. 修正V1姓名版一些设置项（如目标指示器）丢失的问题.</b>
<b>2. 移除旧的自动装备对比模块，改用系统内置.修复ROLL装备列表鼠标提示等问题.</b>
<b>20190322B</b>
<b>1. 修复V1,V2姓名版不能同时关闭的问题.</b>
<b>2. 修复V2姓名版职业条颜色自定义问题.</b>
<b>20190322A</b>
<b>1. 更新美化皮肤模块.</b>
<b>2. 添加旧姓名版模块更名为V1，默认禁用,新姓名版更名为V2.</b>
<b>20190319A</b>
<b>1. 修正鼠标提示装等显示开关丢失.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 修正美化皮肤一处错误.</b>
<b>4. 修改姓名版默认为重叠样式，修改姓名版默认为紧凑模式，修改RAID框名字字号为11.</b>
<b>5. 恢复鼠标提示透明主题开关.</b>
<b>6. 移除姓名版仇恨色中的副坦判定.</b>
<b>7. 信息过滤增加屏蔽频道社区的广告，不需要的在设置中禁用黑名单 clubTicket:</b>
<b>*20190316A</b>
<b>1. 修正有些场景下载具动作条的错误.</b>
<b>2. 姓名版增加间距设置.</b>
<b>3. 修正透明主题下的一些背景异常问题.</b>
<b>*20190315B</b>
<b>1. 姓名版的目标指示器，水平箭头和垂直箭头增加32个样式可选，并可调大小，间隔.</b>
<b>*20190315A</b>
<b>1. 支持透明主题下鼠标提示等非透明显示.</b>
<b>2. 透明主题下的阴影宽度可在一般设置材质中设置,设置为0则禁用.</b>
<b>3. 修正姓名版的一些错误.</b>
<b>4. 更新DBM语音版.</b>
<b>5. 装备属性增加绿色属性显示,默认关闭,点击头像切换开关(重载生效).</b>
<b>*20190314D</b>
<b>1. 修正透明主题的错误.</b>
<b>*20190314C</b>
<b>1. 修正一些皮肤和姓名版的错误.</b>
<b>*20190314B</b>
<b>1. 修正点击施法等模块失效的问题.</b>
<b>2. 姓名版血量现可正确被数值显示开关影响.</b>
<b>3. 一些预设值调整.</b>
<b>*20190314A</b>
<b>1. EUI适配wow 8.15,单体插件请自行排查错误.</b>
<b>2. 启用新姓名版模块,原姓名版配置被重置.</b>
<b>3. 更新DBM语音版.</b>
<b>4. 更新地图标记模块.</b>
<b>5. 更新艾泽拉斯之心提示模块.</b>
<b>*20190304A</b>
<b>1. 更新系统皮肤,修正一些错误.</b>
<b>2. 更新DBM语音版.</b>
<b>*20190224A</b>
<b>1. 更新系统皮肤,修正一些错误.</b>
<b>2. 更新DBM语音版.</b>
<b>*20190223A</b>
<b>1. 默认禁用新增的大地图座标,开启开关在14选项.</b>
<b>2. 修正一些系统皮肤.</b>
<b>3. 修正美化皮肤设置时的错误.</b>
<b>*20190222A</b>
<b>1. 修改oUF库,移除了可能会引起某些职业帧数下降的事件.</b>
<b>2. 更新DBM语音版,增补几个语音.</b>
<b>3. 更新大地图插件,增补一处地图阴影数据.</b>
<b>4. 更新美化皮肤包.</b>
<b>5. 补上安装向导漏掉的PM聊天窗口.</b>
<b>6. 一些核心代码优化.</b>
<b>*20190214A</b>
<b>1. 完善安装向导和快捷设置.</b>
<b>2. 一些系统皮肤修正.</b>
<b>3. UI缩放在EUI一般设置,旧边框样式可关闭一般设置中的瘦边框主题开关.</b>
<b>*20190213B</b>
<b>1. 修正开启阴影后界面错误.</b>
<b>2. 修正打断通告显示出错.</b>
<b>*20190213A</b>
<b>1. 重写UI缩放功能,取消自动缩放改由手动调节.</b>
<b>20190212A</b>
<b>1. 移除集合石对文本过滤的开关.</b>
<b>2. 更新大秘境增强插件.</b>
<b>3. 更新DBM语音版.</b>
<b>20190209A</b>
<b>1. 根据NGA修改集合石插件,修复看不到申请人员等问题.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 更新系统皮肤，进一步修正施法条分段问题.</b>
<b>4. 更新ROLL物品列表插件.</b>
<b>20190208A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 更新要塞增强包.</b>
<b>3. 修正系统皮肤,修正要塞皮肤与要塞增强包的兼容问题.</b>
<b>4. 修改施法条断点实现.</b>
<b>5. 调整背包物品装等文字到左下角,以免挡住分解图标等显示,并添加按品质染色功能.</b>
<b>20190204A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 竞技场框体增加递减CD提示.</b>
<b>20190202A</b>
<b>1. 修正队伍团队装等有时获取不到玩家天赋的错误.</b>
<b>2. 更新DBM语音版.</b>
<b>20190201A</b>
<b>1. 修正DK符文时间未加载的问题.</b>
<b>2. 更新DBM语音版.</b>
<b>20190131A</b>
<b>1. 更新集合石.</b>
<b>2. 鼠标提示模块中的艾择拉斯之心提示，增加汉化设置和设置快健.</b>
<b>20190130A</b>
<b>1. 修正30A引起的错误.</b>
<b>20190130A</b>
<b>1. 重新调整频道切换条位置.</b>
<b>2. 更新DBM语音版.</b>
<b>20190129A</b>
<b>1. 修正聊天框记录栏错位,调整频道条位置.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 修正观察和角色皮肤.</b>
<b>20190128C</b>
<b>1. 修正皮肤模块的一些错误.</b>
<b>20190128B</b>
<b>1. 修正鼠标提示一处LUA错误.</b>
<b>2. 修正坦克框体不能点击施法的问题.</b>
<b>20190128A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 更新插件美化模块.</b>
<b>3. 更新艾泽拉斯之心提示模块.</b>
<b>4. 修正金币统计模块中花费计算错误的问题.</b>
<b>20190125A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 更新宠物数据库.</b>
<b>3. 修正坦克护盾被禁用时占位的问题.</b>
<b>4. 更新集合石插件.</b>
<b>5. 更新飞行地图.</b>
<b>6. 更新地图标记模块，更新内置库.</b>
<b>7. 更新预设RaidDebuff数据等.</b>
<b>20190120A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 调整透明主题样式,恢复其阴影效果.</b>
<b>3. 增加地图上的副本入口显示模块.</b>
<b>4. 移除地图标记-阿拉希高地稀有模块.</b>
<b>20190118A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 调整透明主题样式,禁用其阴影效果.</b>
<b>3. 调整背包层级,防止被内嵌的伤害统计挡住.</b>
<b>4. 修正团队等级框默认自动显示的问题.</b>
<b>20190114A</b>
<b>1. 修正血量刷新问题.</b>
<b>2. 解锁框右击可直达设置页面.</b>
<b>3. 修复ALM模块失效问题.</b>
<b>4. 更新GSE一键宏插件.</b>
<b>5. 更新DBM语音版.</b>
<b>6. 更新装备观察模块.</b>
<b>7. 更新宠物数据.</b>
<b>8. 修复丢失的符文时间.</b>
<b>9. 修复解锁时隐藏被禁用框体无效的问题.</b>
<b>20190111C</b>
<b>1. 修正因EUI全局变量丢失引起的一些异常.</b>
<b>2. 修正特写窗口无关闭按钮的问题.</b>
<b>20190111B</b>
<b>1. 修正因变更储存结构导致的界面出错.</b>
<b>2. 手工修正方法在聊天框中运行 /run ElvDB.gold=nil 然后重载界面</b>
<b>3. 姓名版增加建筑物后半透显示.</b>
<b>20190111A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 内置库更新.</b>
<b>3. 修改大量内部代码.</b>
<b>4. 此段时间家事国事天下事忙不过来,更新慢了见谅,今起恢复反馈和更新！</b>
<b>20190104A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 更新oUF库并修正一些问题.</b>
<b>3. 修正单位框体距离文本的一处报错.</b>
<b>4. 一些系统皮肤更新.</b>
<b>5. 更新安装向导.</b>
<b>20181230A</b>
<b>1. 修正姓名版玩家资源框多根原始的能量条的问题.</b>
<b>2. 修正动作条设置少7-9号动作条的设置.</b>
<b>3. 更新DBM语音版.</b>
<b>4. 增加能量预测条颜色设置.</b>
<b>5. 删除稀有检测模块,用户可自行下载相关插件.</b>
<b>20181225A</b>
<b>1. 修正姓名版职业条等问题.</b>
<b>2. 补上一般设置材质中漏掉的字体描边选项.</b>
<b>3. 更新大秘境增强插件.</b>
<b>4. 更新GSE一键宏模块.</b>
<b>5. 更新DBM语音版.</b>
<b>6. 更新自动缩放功能.</b>
<b>7. 更新聊天泡泡，要塞任务对话框等皮肤.</b>
<b>20181219A</b>
<b>1. 修正姓名版任务图标会出现多个的问题.</b>
<b>2. 更新大秘境增强插件.</b>
<b>3. 更新系统皮肤等.</b>
<b>20181218A</b>
<b>1. 任务图标增加垂直偏移值设置,并可设置为负值.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 修改系统皮肤等.</b>
<b>4. 增加战争前线宝藏稀有模块.</b>
<b>20181214B</b>
<b>1. 修正插件版本过期问题.</b>
<b>2. 修正集合石的一处错误.</b>
<b>3. 修正Mapster设置按钮位置错误.</b>
<b>4. 任务图标增加水平偏移值设置.</b>
<b>5. 修正坦克护盾模块一处错误.</b>
<b>6. 动作条补上漏掉的技能延迟阀值设置.</b>
<b>20181214A</b>
<b>1. 修复姓名版的一处错误.</b>
<b>2. 修复集合石的库索引错误.</b>
<b>3. 修复单位框体能量条设置垂直方向无效的问题.</b>
<b>20181213C</b>
<b>1. 更新集合石.</b>
<b>20181213B</b>
<b>1. 继续修改一些LUA错误.</b>
<b>20181213A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 同步8.1更新.</b>
<b>3. 更新艾泽拉斯之心提示模块.</b>
<b>20181203A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 修复过滤器设置错误.</b>
<b>20181128A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 更新大秘境计时插件.</b>
<b>3. 更新系统皮肤.</b>
<b>4. 移除距离文本字体设置与单体框体字体关联的问题.</b>
<b>5. 提高单位框体能量条的高度.</b>
<b>20181126A</b>
<b>1. 更新集合石皮肤.</b>
<b>20181124B</b>
<b>1. 取消单位框体血量混色功能.</b>
<b>20181124A</b>
<b>1. 姓名版侧面箭头增加尖箭头材质样式.</b>
<b>2. 更新Ace3皮肤,更新任务，技能书等系统皮肤.</b>
<b>3. 姓名版任务图标增加位置选项等.</b>
<b>4. 更新DBM语音版.</b>
<b>5. 更新集合石插件.</b>
<b>20181118B</b>
<b>1. 修复英文客户端下聊天框的错误.</b>
<b>2. 修复频道条偶发的错误.</b>
<b>20181118A</b>
<b>1. 更新系统皮肤,默认移除羊皮纸背景.</b>
<b>2. 修正配置导入时的错误.</b>
<b>3. 修正丢失的EUI1-10材质.</b>
<b>20181115A</b>
<b>1. 修正聊天框内嵌设置丢失的问题.</b>
<b>20181114A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 更换姓名版任务图标模块,现可根据任务类型不同显示不同的图标,并可在图标上显示任务进度.</b>
<b>20181107A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 禁用稀有检测插件.</b>
<b>20181031A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 修正姓名版低生命阀值与目标指示器的冲突.</b>
<b>3. 修正公会界面人员备注设置时的污染问题,移除多余的调试代码.</b>
<b>4. 更新大秘境计时插件.</b>
<b>20181028A</b>
<b>1. 重新添加团队装等,装备观察属性比较,设置界面在增强功能>一般设置>界面相关里.</b>
<b>2. 禁止稀有检测在副本内生效，禁用稀有检测可拾取列表显示.</b>
<b>3. 移除了一些API的缓存,以减少与其它插件的冲突.</b>
<b>20181027A</b>
<b>1. 修正队伍装等通告，不再广播给队伍频道.</b>
<b>2. 修正姓名版的低生命阀值可正确影响目标指示器的颜色。达到阀值时黄色，阀值一半时红色.</b>
<b>3. 移除聊天框中一处过滤，可能会对右键菜单增强有影响.</b>
<b>20181025B</b>
<b>1. 更新OUF库,修正单位框体血量按数值变化无效问题.</b>
<b>20181025A</b>
<b>1. 恢复22A中被禁模块.</b>
<b>2. 重新添加队伍装等专精通告.</b>
<b>3. 更新艾泽拉斯之心提示模块.</b>
<b>4. 更新DBM语音版.</b>
<b>5. 调整稀有提示框自动隐藏框时间为10秒.</b>
<b>6. 数值缩写，万位增加为2位小数.</b>
<b>20181022A</b>
<b>1. 这是个测试卡顿的版本,无问题的可先不更新.</b>
<b>2. 根据反馈情况,禁用了skada的专精图标,禁用一些内部模块说是可能导致反馈的.</b>
<b>3. 禁用稀有检测插件,据说这个也会卡的.</b>
<b>4. 请有卡顿情况的使用后继续反馈.</b>
<b>20181020A</b>
<b>1. 鼠标提示装等专精显示现由TinyInspect提供.</b>
<b>2. 修正能量条百分比颜色失效的问题,这次是真的.</b>
<b>3. 更新DBM语音版.</b>
<b>20181019B</b>
<b>1. 角色框装等使用新的获取方式,增加Alt可选装备装等显示.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 尝试解决，符文时间有时未被重置的问题.</b>
<b>4. 修正鼠标提示职责提示,修正治疗预估等问题.</b>
<b>20181019A</b>
<b>1. 精简TinyInspect,只余装备观察列表功能.</b>
<b>2. 移值聊天框物品装等显示至聊天框设置内,在副本战斗时自动禁用.</b>
<b>3. 角色框装等耐久字号设置在增强功能,默认调整为12.</b>
<b>4. 整合背包装等字号在背包设置里,默认调整为12.</b>
<b>20181018B</b>
<b>1. 撤消18A修改.</b>
<b>20181018A</b>
<b>1. 重新启用装等观察模块功能,更深入的整合装等显示.</b>
<b>2. 角色框装等耐久字号设置在增强功能.</b>
<b>3. 整合背包装等字号在背包设置里.</b>
<b>4. 恢复一般设置中的UI缩放设置,小于0.64的缩放请勾上自动缩放.</b>
<b>20181017B</b>
<b>1. 修正聊天表情丢失的问题.</b>
<b>2. 修正角色框装等字号设置(在增强功能里).</b>
<b>20181017A</b>
<b>1. 修正鼠标提示的错误.</b>
<b>2. 修正单位框体血量背景色错误的被加了透明度.</b>
<b>3. 修正能量条百分比颜色失效的问题.</b>
<b>4. 修正团框字号不能单独设置的问题.</b>
<b>5. 重新启用AH和ALT换装装等显示.</b>
<b>20181016A</b>
<b>1. 禁用掉一些功能，以期能改善偶发的卡顿问题.</b>
<b>2. 修正任务追踪框折叠时，自动接受任务未隐藏的问题.</b>
<b>3. 修正DBM一些删掉的语言包加载的问题.</b>
<b>4. 默认开启稀有提示框30秒自动关闭.</b>
<b>5. 修正鼠标提示中座骑信息显示.</b>
<b>6. 宠物框体增加光环条显示.</b>
<b>7. 单位框体施法条增加一些自定义功能等.</b>
<b>20181014A</b>
<b>1. 修正角色框装等文字偏移.</b>
<b>2. 修正单体插件管理中,离线数据中心设置无效的问题.</b>
<b>3. 小地图图标收集增加左右展开方向.</b>
<b>20181013A</b>
<b>1. 修正背包装等显示引起的卡顿问题.</b>
<b>20181011B</b>
<b>1. 修正背包装等残留问题.</b>
<b>2. 自动交接任务过滤掉BL换ROLL币的NPC.</b>
<b>3. 重新添加DK职业条符文时间显示.</b>
<b>20181011A</b>
<b>1. 修正技能监视组,支持旧版存档监视技能,自动删除[通用监视组],未能自动删除的可手工自行删除.</b>
<b>2. 新增自定义监视时,需指定过滤类型,是BUFF,DEBUFF还是CD.</b>
<b>3. 玩家框体增加职责图标.</b>
<b>4. 过滤器设置中增加技能名称搜索功能.</b>
<b>5. 默认关闭EUI背包装等显示，改由TinyInspect统一显示背包物品装等和部位。两边的设置项做了互相切换功能.</b>
<b>6. 更新一键宏插件.</b>
<b>20181009A</b>
<b>1. 集成HPetBattleAny宠物对战增强插件.</b>
<b>2. 姓名版增加水平和垂直间距选项.</b>
<b>3. 动作条的按键绑定现可以绑定鼠标按键.</b>
<b>4. 修正技能监视预设的一些错误,有问题的请恢复默认.</b>
<b>5. 更新DBM语音版.</b>
<b>20181007B</b>
<b>1. 移除Rematch宠物组队插件.</b>
<b>2. 整合背包增加分割背包功能.</b>
<b>3. 移除神器条.</b>
<b>4. 自动出售灰色物品选项移到背包设置中,修正灰色物品过多时,不能全部售出的问题.</b>
<b>5. 设置界面增加模块控制功能,可从配置中分模块导入或导出设置.</b>
<b>6. 整理插件包TOC标签,对设置界面模块编号重新整理.</b>
<b>20181007A</b>
<b>1. 修正Skada专精图标开关问题,移到计时条选项下.</b>
<b>2. 修正技能监视组图标样式和单位框体样式统一.</b>
<b>3. 修正集合石挂件高度，使其与EUI信息文字顶部信息条高度一致.</b>
<b>4. 精简副本技能CD显示文字长度.</b>
<b>5. 更新一键宏插件.</b>
<b>6. 重写技能监视组中技能监视内置技能预设,需要的可在此模块中点击恢复默认来载入预设监视,注意恢复默认操作将导致你在此模块自定义的监视丢失.</b>
<b>20181005A</b>
<b>1. 修正技能监视组冷却文字字号设置，在冷却文字组增加单独的技能监视组设置，可用来单独调整冷却文字字号等.</b>
<b>2. 姓名版目标指示顶部箭头，增加32种材质样式可选.</b>
<b>3. 更新BfA宝藏模块.</b>
<b>20181004A</b>
<b>1. 修正伤害统计Skada右击后的错位.</b>
<b>2. 去除自动交接任务中对可接任务物品的处理，据说会导致DZ退出潜行状态.</b>
<b>3. 修正姓名版目标指示器尺寸和偏移设置无效的问题.</b>
<b>4. 去除稀有检测的小宝箱提示，因其太过频繁.</b>
<b>5. 修正内置技能监视模块冷却字号设置问题.</b>
<b>6. 更新DBM语音版.</b>
<b>20181003B</b>
<b>1. 修正伤害统计Skada的错位.</b>
<b>20181003A</b>
<b>1. 伤害统计Skada增加专精图标显示,并在通告信息中显示.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 重启用斩杀提示模块.</b>
<b>20181001A</b>
<b>1. 精简增强功能内的一些模块.</b>
<b>2. 修改一些模块，在副本或PVP场景战斗中不启用以降低CPU占用.</b>
<b>3. 测试电脑(win10,E3-1230V2,8G,GTX660)5档特效,4年前的旧机器,在副本中祖尔小怪有40-50帧.</b>
<b>4. 更新DBM语音包.</b>
<b>5. 调整伤害统计SKada的更新频率由默认0.25秒为1.5秒,以降低CPU占用.</b>
<b>6. 更新大秘境计时插件.</b>
<b>7. 更新宠物战队保存插件.</b>
<b>20180927A</b>
<b>1. 修正DH数据报告问题.</b>
<b>2. 更新DBM语音包.</b>
<b>3. 屏蔽命运大师NPC的自动交接任务.</b>
<b>4. 更新OUF库.</b>
<b>5. 更新一键宏插件.</b>
<b>6. 修正要塞增强包一处报错.</b>
<b>20180925A</b>
<b>1. 解决地区切换时轻微卡顿的问题.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 更新大秘境计时插件.</b>
<b>20180924B</b>
<b>1. 修正禁用MSBT后单体插件设置错误.</b>
<b>2. 修正右键菜单增强EUI屏蔽获取服务器名错误.</b>
<b>20180924A</b>
<b>1. 修正一键宏的错误.</b>
<b>2. 修正WS模块的错误.</b>
<b>3. 优化地区切换时事件加载的问题.</b>
<b>4. 更新DBM语音版.</b>
<b>5. 更新阿拉希高地稀有标记模块.</b>
<b>20180921A</b>
<b>1. 修正社区频道缩写问题.</b>
<b>2. 修正社区框的表情图标显示问题.</b>
<b>3. 修正特质窗口拖拉问题.</b>
<b>4. 更新DBM语音版.</b>
<b>5. 更新大秘境计时插件.</b>
<b>20180919A</b>
<b>1. 更新阿拉希高地稀有标记模块.</b>
<b>2. 更新DBM语音版.</b>
<b>20180918C</b>
<b>1. 修正频道条对社区频道的支持问题.</b>
<b>2. 聊天表情增加对社区聊天的支持.</b>
<b>20180918A</b>
<b>1. 移除增强功能中一些模块,以降低性能消耗.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 更新大秘境计时插件.</b>
<b>4. 修正姓名版稀有怪显示.</b>
<b>20180916A</b>
<b>1. 修正右键菜单中邀请功能有时未获取到服务器名称的问题.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 更新大秘境计时插件.</b>
<b>20180913A</b>
<b>1. 进一步优化增强功能性能.</b>
<b>2. 更新世界飞行地图模块.</b>
<b>3. 姓名版光环增加重写图标宽度的设置.</b>
<b>4. 更新竞技场框体,更新OUF库以修正竞技场框体问题.</b>
<b>20180912A</b>
<b>1. 修复增强功能内存占用过大的问题.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 主菜单中增加打开旧公会界面的功能,微型菜单条增加右键公会打开旧界面的功能.</b>
<b>20180911A</b>
<b>1. 美化皮肤模块退回旧版,据说会引起战斗中界面消失问题.</b>
<b>2. Capping战场助手移到可选插件.</b>
<b>3. 更新集合石插件.</b>
<b>4. 更新一键宏插件.</b>
<b>20180910A</b>
<b>1. 更新美化皮肤模块.</b>
<b>2. 添加Capping战场助手模块用来替代DBM-PVP的功能.</b>
<b>3. 更新宠物战队保存插件.</b>
<b>4. 更新DBM语音版.</b>
<b>5. 更新稀有检测插件，默认禁用其在大地图上的图标显示.</b>
<b>6. 修正自动任务物品按钮的一处报错.</b>
<b>7. 修正聊天框右键加EUI黑名单无效的问题.</b>
<b>20180909B</b>
<b>1. 修正稀有检测框的美化.</b>
<b>20180909A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 修正要塞增强包一处加载错误.</b>
<b>3. 正确修正了艾泽拉斯之心鼠标提示的加载.</b>
<b>4. 正确修正了稀有提示插件的加载.</b>
<b>5. 增强功能增加了角色框装等字号的设置.</b>
<b>6. 修正姓名版一些设置被重置的问题.</b>
<b>7. 添加阿拉希高地稀有标记模块.</b>
<b>8. 更新大秘境计时插件.</b>
<b>20180906A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 关闭观察框项链和披风的附魔提示,统一外观，去除职业色边框.</b>
<b>3. 更新DBM语音版.</b>
<b>4. 修正要塞增强包一处报错.</b>
<b>5. 清理增强功能中多余的存档和模块.</b>
<b>20180905B</b>
<b>1. 修正一句话攻略,可以用/boss选中目标发送，也可以打开地下城手册指定BOSS发送.</b>
<b>2. 增强功能中增加角色框耐久度字号设置.</b>
<b>3. 聊天框面板中左右聊天框战斗隐藏功能,默认关闭.</b>
<b>4. 更新要塞增强包,参考Razor_Storm@NGACN的要塞助手.</b>
<b>20180905A</b>
<b>1. 更新一句话攻略,感谢网友 萬明<120791189@qq.com>提供攻略.</b>
<b>2. 修正稀有检测没被加载的问题.</b>
<b>3. 添加TinyInspect插件，替代原自带的属性面板，团队信息面板和鼠标装等天赋提示，聊天框物品等级，角色框装等显示等功能.</b>
<b>4. 修正单体的DejaCharacterStats不能保存配置的问题.</b>
<b>5. 更新艾泽拉斯之心提示.</b>
<b>6. 更新大秘境计时模块.</b>
<b>7. 修正战网密语邀请问题,修正密语组队不能自动转换团队的问题.</b>
<b>8. 移除原玩家菜单增强插件,使用内置的右键菜单增强.</b>
<b>9. 更新专业标签，修正与TradeSkillMaster的兼容性,增加一键学习所有的按钮.</b>
<b>10. 更新自动交接任务模块.</b>
<b>11. 修正要塞增强包不能在职业大厅自动加载的问题.</b>
<b>20180904A</b>
<b>1. 从大脚更新一句话攻略,添加在属性报告按键上右击发送攻略.</b>
<b>2. 更新DBM语音版,从DBM-VPXF补充一部原夏一可语音包中少的语音.</b>
<b>3. 整理单体插件管理中历史遗留问题.</b>
<b>4. 重新启用了稀有精英检测插件,修复其内存爆涨问题.</b>
<b>5. 更新艾泽拉斯之心提示.</b>
<b>6. 更新Rematch宠物战队插件.</b>
<b>7. 更新一键宏插件.</b>
<b>8. 更新BfA宝藏模块.</b>
<b>9. 添加一些副本DEBUFF数据等.</b>
<b>10. 更新内置oUF库等.</b>
<b>20180830A</b>
<b>1. 添加帕库图腾插件,可在地图上显示图腾标记.</b>
<b>2. 更新世界飞行地图模块.</b>
<b>3. 队伍框体添加施法条模块,默认启用.</b>
<b>4. 修复DEBUFF高亮的一处问题.</b>
<b>5. 更新DBM语音版.</b>
<b>6. 修复姓名版血条一处问题等.</b>
<b>20180825A</b>
<b>1. 先抱歉下，由于域名忘记续费了,导致网站不可访问,找注册商赎回耗时较长！</b>
<b>2. 增加艾泽拉斯之心提示.</b>
<b>3. 修复单位框体速度标签的错误.</b>
<b>4. 集合石更新新版,添加8.0分类数据,移除自动邀请功能.</b>
<b>5. 更新一键宏插件.</b>
<b>6. 更新世界飞行地图模块.</b>
<b>7. 修复聊天框有时消失的问题.</b>
<b>8. 更新DBM语音版.</b>
<b>20180822B</b>
<b>1. 玩家菜单增强现可以显示举报菜单了.</b>
<b>20180822A</b>
<b>1. 更新世界地图,可以显示透明度了.</b>
<b>2. 修复打断通告的问题.</b>
<b>3. 增加神器的鼠标提示信息增强.</b>
<b>4. 姓名版的任务图标可在目标数量达到时自动隐藏.</b>
<b>5. 自动更新中移除DBM上个版本的副本模块.</b>
<b>6. 姓名版增加背景框颜色设置.</b>
<b>7. 整合背包增加层级选项.</b>
<b>8. 其它一些皮肤和兼容性修正.</b>
<b>20180820A</b>
<b>1. 更新世界地图,可以正确的保存位置了.</b>
<b>2. 更新系统皮肤.</b>
<b>3. 更新要塞增强包.</b>
<b>4. 更新世界飞行地图模块.</b>
<b>5. BfA宝藏模块.</b>
<b>20180816A</b>
<b>1. 更新世界飞行地图模块.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 增加世界地图移动位置保存功能(计算座标仍有稍微偏差).</b>
<b>4. 角色框耐久度显示在增强功能中加入开关.</b>
<b>5. 集合石更新,移除搜索和过滤功能.</b>
<b>6. 要塞职业大厅皮肤更新.</b>
<b>7. 增加记分牌部件解锁移动等.</b>
<b>20180815A</b>
<b>1. 更新世界飞行地图模块.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 添加BfA宝藏模块，移除旧世界宝藏模块.</b>
<b>4. 更新一键宏插件.</b>
<b>5. 更新要塞增强包.</b>
<b>6. 更新一些系统皮肤,增加BfA货币显示在货币信息文字.</b>
<b>20180814A</b>
<b>1. 更新世界飞行地图模块.</b>
<b>2. 修正ALM模块的错误.</b>
<b>20180813B</b>
<b>1. 禁用加载一个不用的LibInspecty库.</b>
<b>2. 美化皮肤模块恢复上一版,感谢“小宁”网友的测试.</b>
<b>20180813A</b>
<b>1. 修复职业色彩一处报错.</b>
<b>2. 修复自动任务物品一处报错.</b>
<b>3. 禁用聊天框链结等级显示.</b>
<b>4. 更新一键宏插件.</b>
<b>20180812A</b>
<b>1. 重新禁用稀有检测插件.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 更新地图标记.</b>
<b>4. 禁用MSBT一些通告信息.</b>
<b>5. 一些内置库更新.</b>
<b>20180810A</b>
<b>1. 更新要塞增强包.</b>
<b>2. 更新一些内置库.</b>
<b>3. 更新集合石.</b>
<b>4. 更新Masque皮肤模块.</b>
<b>5. 更新Skada伤害统计插件.</b>
<b>6. 更新Rematch宠物战队插件.</b>
<b>7. 重新启用稀有检测插件,若有问题请自行禁用.</b>
<b>8. 更新美化皮肤模块.</b>
<b>9. 更新美化皮肤模块.</b>
<b>10. 更新DBM语音版.</b>
<b>11. 一些系统皮肤修正.</b>
<b>12. 重写鼠标提示中的物品等级和天赋显示等功能.</b>
<b>20180804A</b>
<b>1. 修正MS动作条技能高亮问题.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 提高背包框的层级，防止被内嵌的Skada挡住.</b>
<b>4. 增加8.0新功能相位指示器在目标,队伍和团框上.</b>
<b>5. 修复要塞增强包任务成功率不显示的问题.</b>
<b>20180802A</b>
<b>1. 修复右键菜单增强的一些问题,待反馈.</b>
<b>2. 更新美化皮肤模块.</b>
<b>3. 更新信息文字中天赋字段.</b>
<b>20180731B</b>
<b>1. 临时禁用稀有检测RareScanner的加载,反馈说这个插件会引起内存溢出问题.</b>
<b>20180731A</b>
<b>1. 移除外部插件与EUI核心地图库的引用,以排除内存溢出问题.</b>
<b>2. 一些系统皮肤的更新,修正SM大地盾，增加XD的通道施法等.</b>
<b>3. 修正ALM模块天赋识别错误.</b>
<b>20180729A</b>
<b>1. 更新美化皮肤模块.</b>
<b>2. 更新DBM语音版.</b>
<b>3. 修正武僧护盾模块失效的问题.</b>
<b>4. 更新DBM语音版.</b>
<b>5. 更新ROLL物品列表插件.</b>
<b>20180728A</b>
<b>1. 更新按键配置保存Myslot插件.</b>
<b>2. 更新世界飞行地图模块.</b>
<b>3. 更新DBM 至 17652.</b>
<b>4. 修改EUI内置插件玩家座标获取方式,以期解决内存泄漏问题.</b>
<b>5. 更新一些内置库.</b>
<b>20180725A</b>
<b>1. 修复聊天框中的钥石显示.</b>
<b>2. 更新PVP等界面的美化皮肤.</b>
<b>3. 大秘境计时插件更新.</b>
<b>4. 技能监视模板的CD监视会检查当前玩家的技能.</b>
<b>5. 屏蔽稀有检测的一处报错.</b>
<b>6. 更新一键宏插件.</b>
<b>7. 更新DBM语音版.</b>
<b>20180724C</b>
<b>1. 修复手贱打错的库索引.</b>
<b>20180724B</b>
<b>1. 手工加载一些ACE库,以解决禁用掉部份插件后美化插件报错的问题.</b>
<b>20180724A</b>
<b>1. 美化右键菜单增强.</b>
<b>2. 大地图增加开关地图宝藏稀有图标的开关.</b>
<b>3. 同步更新EUI聊天框插件.</b>
<b>20180723A</b>
<b>1. 重新启用右键菜单增强.</b>
<b>2. 启用自动任务物品模块.</b>
<b>3. 修复职业条色彩问题.</b>
<b>4. 修复冷却中心闪光模块.</b>
<b>5. 更新大秘境计时插件.</b>
<b>6. 更新DBM语音版.</b>
<b>20180721C</b>
<b>1. 回撤针对GetSpellInfo错误的修改.</b>
<b>2. 修正属性报告的一处错误.</b>
<b>20180721B</b>
<b>1. 修正坦克护盾模块.</b>
<b>2. 重新启用飞行地图.</b>
<b>3. 移除内置的角色面板属性增强,可下单体DejaCharacterStats.</b>
<b>4. 更新内置的好友分组模块.</b>
<b>20180721A</b>
<b>1. 修正任务描述框颜色问题.</b>
<b>2. 修正GetSpellInfo，API参数问题导致图标丢失问题.</b>
<b>3. 修正EUI技能监视模块的问题.</b>
<b>4. 修正大地图不能拖拉问题.</b>
<b>20180720B</b>
<b>1. 聊天频道条解锁按钮增加右击打开语音频道框.</b>
<b>2. 移除!NoTaint插件包,自动删除失败的请手工删除.</b>
<b>3. 修正一些LUA错误.</b>
<b>20180720A</b>
<b>1. 重新添加集合石.</b>
<b>2. 临时禁用任务皮肤,以修正任务地图详情显示问题.</b>
<b>3. 禁用 NoTaint以解决一些污染问题.</b>
<b>4. 修复聊天框频道一些问题.</b>
<b>5. 打开语音频道快捷键为 T.</b>
<b>20180719D</b>
<b>1. 修正五星高亮问题.</b>
<b>2. 修正MSBT设置错误，迷失控制.</b>
<b>3. 修正一些LUA错误.</b>
<b>20180719C</b>
<b>1. 重新加载护盾模块，点击施法模块等.</b>
<b>2. 暂时禁用右键菜单增强.</b>
<b>3. 修正引导施法条问题.</b>
<b>4. 修正一些LUA错误.</b>
<b>20180719B</b>
<b>1. 修正一些LUA错误.</b>
<b>20180719A</b>
<b>1. 兼容wow8.0更新.</b>
<b>2. 大量插件模块更新中,部份功能如飞行地图，自动任务物品暂时禁用.</b>
<b>20180714B</b>
<b>1. 修正DEBUFF高亮的材质问题.</b>
<b>20180714A</b>
<b>1. 更新DBM语音版.</b>
<b>2. LookingForGroup移到可选插件,想删除此插件的到可选插件中删除.</b>
<b>20180712B</b>
<b>1. 重新启用DBM-PvP模块.</b>
<b>2. 更新要塞增强包.</b>
<b>20180712A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 修正姓名版的任务图标错误.</b>
<b>20180618A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 修正背包物品等级显示的问题.</b>
<b>3. 内核更新.</b>
<b>20180607A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 更新集合石插件.</b>
<b>3. 更新GSE一键宏模块.</b>
<b>4. 一些库文件和内核更新.</b>
<b>20180508A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 队伍和团框增加队伍间隔选项.</b>
<b>3. Skada更新.</b>
<b>4. 大秘境计时更新.</b>
<b>5. 一些库文件更新.</b>
<b>20180426A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 修正因加载旧的库文件导致EUI设置界面不能打开的问题.</b>
<b>3. 要塞增强包更新.</b>
<b>4. 一些库文件更新.</b>
<b>20180421A</b>
<b>1. 更新DBM语音版.</b>
<b>2. 更新@玩家 提示功能.</b>

<b>3. 修正信息文字和光环条各一处错误.</b>
<b>4. 一些内置库更新.</b>
<b>20180410A</b>
<b>1. 更新DBM语音包.</b>
<b>2. 修复团框自适应人数的错误.</b>
<b>3. 一些内置库更新.</b>
<b>20180403A</b>
<b>1. 更新DBM语音包.</b>
<b>2. 修增益与减益字体设置问题.</b>
<b>3. 更新一键宏模块.</b>
<b>4. 要塞增强包更新.</b>
<b>5. 更新一些系统皮肤.</b>
<b>6. 更新美化皮肤包.</b>
<b>7. 更新稀有检测.</b>
<b>8. 大秘境计时更新.</b>
<b>20180320A</b>
<b>1. 更新DBM语音包和PVP模块.</b>
<b>2. 修正UI缩放问题.</b>
<b>3. 更新一些系统皮肤.</b>
<b>4. 更新稀有检测.</b>
<b>20180316A</b>
<b>1. 更新DBM语音包和PVP模块.</b>
<b>2. 更新一些系统皮肤,</b>
<b>3. 聊天泡泡增加玩家名字显示,默认关闭.</b>
<b>4. BUFF/DEBUFF模块增加的单独的字号设置.</b>
<b>5. 要塞增强包更新.</b>
<b>6. 大秘境计时更新.</b>
<b>20180224A</b>
<b>1. 更新DBM语音包.</b>
<b>2. 更新邮件增强模块.</b>
<b>3. 更新一些系统皮肤,</b>
<b>4. 玩家的休息和战斗图标增加图标选择.</b>
<b>5. 要塞增强包更新.</b>
<b>20180208A</b>
<b>1. 更新DBM语音包.</b>
<b>2. 更新圣物观察模块.</b>
<b>3. 更新MSBT伤害显示插件.</b>
<b>20180123A</b>
<b>1. 更新集合石插件.</b>
<b>2. 整合@玩家 提示功能.</b>
<b>3. 修正神器能量条数值显示问题.</b>
<b>4. 更新稀有检测.</b>
<b>20180122A</b>
<b>1. DBM更新至17190.</b>
<b>2. 一些系统皮肤和API调整.</b>
<b>3. 修正装备属性统计有时无法显示的问题.</b>
<b>4. 更新稀有检测.</b>
<b>20180118A</b>
<b>1. DBM更新至17181.</b>
<b>2. 更新系统皮肤和字体定义等适配7.3.5.</b>
<b>3. 更新大秘境计时插件.</b>
<b>4. 更新一键宏模块.</b>
<b>5. 更新稀有检测.</b>
<b>6. 一些内置库更新.</b>
<b>20180114AA</b>
<b>1. DBM更新至17173.</b>
<b>2. 内核更新，姓名版增加治疗预估等.</b>
<b>3. 更新GSE一键宏模块.</b>
<b>20171230A</b>
<b>1. DBM更新至17076.</b>
<b>2. 内核更新，动作条增加冷却变色选项，姓名版修正层级问题，一些系统皮肤修正等.</b>
<b>20171221A</b>
<b>1. 更新DBM至17029.</b>
<b>2. 更新Rematch插件.</b>
<b>3. 集合石更新.</b>
<b>4. 内核更新，修正一些系统皮肤，姓名版增加框体层级过滤.</b>
<b>5. OUF等库更新.</b>
<b>20171209A</b>
<b>1. 更新DBM至16955.</b>
<b>2. 修正背包物品更新的问题.</b>
<b>3. 集合石更新.</b>
<b>20171206A</b>
<b>1. 更新DBM至16930.</b>
<b>2. 圣物观察更新.</b>
<b>3. 修正自动任务物品显示以支持世界任务物品,添加新符文白名单.</b>
<b>20171205A</b>
<b>1. 更新OUF库,以彻底禁止王座中载具血条的显示.</b>
<b>2. DBM更新16921.</b>
<b>3. 姓名版更新,过滤器增加以玩家为目标,不可打断施法等过滤器等.</b>
<b>20171130B</b>
<b>1. 单体框体增加载具切换开关，用来开关当玩家进行载具时框体是否显示载具单元的行为.</b>
<b>2. 更新OUF库以解决进入载具框体不可用问题.</b>
<b>3. 更新DBM至16887.</b>
<b>20171130A</b>
<b>1. 更新DBM至16882和中文语音包.</b>
<b>2. 增加新副本RaidDebuff.</b>
<b>3. 增加复制聊天单行的功能,默认关闭.</b>
<b>20171128A</b>
<b>1. 更新EUI核心,一些系统皮肤美化修正.</b>
<b>2. 更新集合石插件.</b>
<b>3. 修正装备属性统计有时无法显示的问题.</b>
<b>4. 更新DBM至16872和中文语音包.</b>
<b>5. 更新Rematch插件.</b>
<b>6. 更新GSE一键宏模块.</b>
<b>7. Skada 增加邪能炸药模块.</b>
<b>20171108A</b>
<b>1. 更新EUI核心,一些系统皮肤美化修正.</b>
<b>2. 更新DBM至16843.</b>
<b>3. 修正熔炉模拟插件开关失效问题.</b>
<b>4. 修改迷失控制样式.</b>
<b>20171103A</b>
<b>1. 更新EUI核心.</b>
<b>2. 更新DBM至16839.</b>
<b>3. 更新美化皮肤模块.</b>
<b>4. 更新大秘境计时模块.</b>
<b>5. 更新圣物观察数据.</b>
<b>6. 更新一键宏数据.</b>
<b>20171008A</b>
<b>1. 更新一键宏插件.</b>
<b>2. 更新DBM至16773.</b>
<b>3. 更新Rematch插件.</b>
<b>4. 姓名板增加持续时间位置设置等.</b>
<b>5. 其它一些相关更新.</b>
<b>20170922A</b>
<b>1. 继续修正角色面板装等显示和装备属性统计的神器装等显示.</b>
<b>2. DBM更新至16733.</b>
<b>20170921A</b>
<b>1. 姓名版一般设置里的目标指示器增加大小和位置选项.</b>
<b>2. 修正装备属性统计中神器等级显示.</b>
<b>3. 增强功能的界面相关设置中加入熔炉模拟插件的开关.</b>
<b>4. 神器框重新加入的自由拖动功能.</b>
<b>5. 禁用RareScanner Log 窗口显示.</b>
<b>20170920B</b>
<b>1. 修正EUI设置界面的ACE库报错,需大退游戏.</b>
<b>20170920A</b>
<b>1. 移除神器框的拖动，修正一处LUA错误.</b>
<b>2. 更新ACE3库,解决与其它插件兼容性问题.</b>
<b>20170919A</b>
<b>1. 修正任务追踪框字体设置后重载失败的问题.</b>
<b>2. 更新稀有检测软件，重新启用声音.</b>
<b>3. 更新圣物观察插件.</b>
<b>4. 集成熔炉圣物比较插件.</b>
<b>5. 更新新的角色面板装等显示模块.</b>
<b>6. 修正团队合剂和符文检查（感谢k99k5网友）.</b>
<b>7. 集成更多的职业一键宏.</b>
<b>8. 增加神器相关框体的自由拖动.</b>
<b>9. 美化皮肤插件更新,增加MythicKeystoneStatus,QuikEmotes,tdBattlePetScript等插件皮肤.</b>
<b>10. 更新DBM语音版.</b>
<b>11. 更新姓名版模块,现可以在副本中显示暴雪原始友方血条等.</b>
<b>20170912A</b>
<b>1. 修正任务追踪框折叠后自动任务完成按钮不隐藏的问题.</b>
<b>2. 过滤器中增加玩家施法的和阻止玩家施法的过滤器.</b>
<b>3. 一些默认框体的字体字号设置变更.</b>
<b>4. 修正好友分组的LUA错误.</b>
<b>5. 修正任务等级显示的一些错误.</b>
<b>6. 添改一些副本DEBUFF,默认使用技能ID匹配.并可设置透明度.</b>
<b>20170907A</b>
<b>1. 修正增强功能的设置项显示错误并重新调整样式.</b>
<b>2. 所有过滤器设置中加入重置过滤器的按钮功能.</b>
<b>3. 更新DBM语音版.</b>
<b>20170905B</b>
<b>1. 修正一处LUA错误.</b>
<b>20170906A</b>
<b>1. 添加显示所有的过滤器，用来显示所有的BUFF和DEBUFF。默认添加到队伍框体的DEBUFF里.</b>
<b>2. 更新DBM语音版.</b>
<b>20170905B</b>
<b>1. 更新集合石-新增的世界任务右键没有创建集合石活动的问题,搜索活动时卡顿的问题.</b>
<b>20170905A</b>
<b>1. 修改姓名版,单位框体光环和光环条的过滤器优先级.</b>
<b>2. 修改Masque皮肤模块加动态加载，调整动作条相关选项.</b>
<b>3. 移除一处影引世界光标放置的插件污染.</b>
<b>20170903B</b>
<b>1. 修正目标框体过滤器预置错误.</b>
<b>2. 修正圣物观察错误.</b>
<b>20170903A</b>
<b>1. 更改一些框体BUFF，DEBUFF的过滤器优先级预置.</b>
<b>2. 圣物观察更新并默认开启，增加显示玩家本人的虚空之光熔炉特性（不能显示目标的）.</b>
<b>3. 大秘境计时更新.</b>
<b>4. 地图宝藏模块更新.</b>
<b>5. 世界飞行地图更新.</b>
<b>6. 更新DBM至16688.</b>
<b>7. 修正鼠标 提示血条设置为顶端时RL会被重置的问题.</b>
<b>20170901B</b>
<b>1. 修正有些插件设置界面的BUG.</b>
<b>2. 自动更新会删除魔兽达人插件,据说对集合石有影响.</b>
<b>20170901A</b>
<b>1. 调整部份框体默认过滤器设置.</b>
<b>2. 自动更新会删除魔兽达人插件,据说对集合石有影响.</b>
<b>3. 修正单位框体一些目标切换选择事件的问题.</b>
<b>4. 更新飞行地图,对新地图进行了处理.</b>
<b>5. 修正迷失控制样式,一些内置库更新.</b>
<b>20170831E</b>
<b>1. 完成姓名版和单位框体新过滤器设置页的汉化.</b>
<b>2. 修正GSE和队长分配的LUA错误.</b>
<b>20170831D</b>
<b>1. 更新集合石插件.</b>
<b>2. 修正离线数据中心密语记录错误.</b>
<b>3. 修正解锁界面设置项丢失.</b>
<b>4. 恢复一般设置材质字体中的数值颜色为蓝色.</b>
<b>20170831C</b>
<b>1. 修正EUI字体错误.</b>
<b>2. 默认开启姓名版血量显示,调整默认光环尺寸.</b>
<b>3. 修正右键菜单失效的问题.</b>
<b>4. 临时禁用点击施法的注册事件,待修正.</b>
<b>20170831B</b>
<b>1. 修正飞行点错误.</b>
<b>2. 更新ACE3库.</b>
<b>3. 姓名版等过滤器调整中.</b>
<b>20170831A</b>
<b>1. 7.3适配修正.</b>
<b>2. EUI姓名版，单位框体使用新的过滤系统.</b>
<b>20170810B</b>
<b>1. 修正圣物观察开关失效的问题.</b>
<b>20170810A</b>
<b>1. 更新DBM至16569.</b>
<b>2. 鼠标提示增加钥石助手模块用来显示前缀.</b>
<b>3. Masque增加CleanUI系列美化皮肤.</b>
<b>4. 鼠标提示的圣物观察默认禁用，开关需要重载生效.</b>
<b>20170730B</b>
<b>1. 紧急修复0730A的LUA错误.</b>
<b>20170730A</b>
<b>1. MSBT改写内置的千位缩写为EUI的数字缩写，开关在单体插件中.</b>
<b>2. GSE一键宏插件更新，修正一处报错.</b>
<b>3. 更新DBM至16526.</b>
<b>20170726C</b>
<b>1. 自定义延迟容限设置默认禁用,默认值调为400.</b>
<b>20170726B</b>
<b>1. 修复UI缩放不能调至小于0.5的问题.</b>
<b>2. 更新GSE一键宏插件, 并屏蔽其版本检测.</b>
<b>3. 更新美化皮肤模块.</b>
<b>4. 更新DBM至16500.</b>
<b>5. 修正Maqsue Goldpaw 皮肤路径错误.</b>
<b>6. 动作条设置增加被暴雪移除的自定义延迟容限,默认30ms,可以设置与真实世界延时相匹配的值.</b>
<b>20170723A</b>
<b>1. 更改LUA错误记录清空方式？不知是否由此引起的卡蓝条？.</b>
<b>20170722A</b>
<b>1. 修正更新记录呼出时的报错.</b>
<b>2. 修正LUA错误记录未被正确的设置上限的问题,WTF中缓存记录被限制到20个.</b>
<b>3. 大秘境计时更新进度表.</b>
<b>4. 更新DBM至16488.</b>
<b>20170719A</b>
<b>1. 修正设置视野距离时的报错.</b>
<b>2. 修正禁用Rematch后,其美化皮肤出错的问题.</b>
<b>20170718A</b>
<b>1. 更新DBM至16458.</b>
<b>2. 玩家框体的能量条增加按百分比显示自定义颜色功能.</b>
<b>3. 更新集合石, 关闭快速加入功能.</b>
<b>4. 更新Skada伤害统计插件,更新其误伤模块.</b>
<b>5. 更新Rematch宠物战队插件和美化皮肤.</b>
<b>20170708A</b>
<b>1. 默认打开紧凑姓名版开关，使姓名版不会超出屏幕.</b>
<b>2. 修正团队/小队信息报告装等格式化问题.</b>
<b>20170707B</b>
<b>1. 团队/小队信息面板增加队伍号显示, 并支持按队伍号排序.</b>
<b>2. 团队/小队信息面板现可以发送全部成员信息到当前团队频道, 增加成员数量和团队平均装等显示.</b>
<b>20170707A</b>
<b>1. 修正姓名版光环额外黑名单过滤器不能正常工作的问题.</b>
<b>2. 增加团队/小队信息面板,显示成员装等、专精,可由频道切换条的图标开关显示.</b>
<b>3. DBM更新至16423.</b>
<b>20170706A</b>
<b>1. DBM更新至16418.</b>
<b>2. 默认关闭姓名版字体描边,防止Add时引起帧数下降.</b>
<b>3. 调整姓名版BOSS框体贴边行为和堆叠时的间距使其更紧凑.</b>
<b>20170704A</b>
<b>1. DBM更新至16400.</b>
<b>2. 修正背包和鼠标提示装等显示.</b>
<b>3. 要塞增强包更新.</b>
<b>4. 内置库更新.</b>
<b>20170630A</b>
<b>1. 修正距离检查函数.</b>
<b>2. 修正更新记录框体一处报错.</b>
<b>3. 修正EUI设置界面一键宏设置项错误.</b>
<b>4. 修正经验条多个背景的问题.</b>
<b>5. DBM更新至16375.</b>
<b>20170629B</b>
<b>1. DBM更新至16359.</b>
<b>2. 更新ROLL物品列表数据.</b>
<b>3. 精简增强功能中自动清理内存和部份代码,以测试是否可能由此引起的游戏卡死问题.</b>
<b>20170626A</b>
<b>1. DBM更新至16340.</b>
<b>2. 修正更新记录模块,使其可以显示所有的更新历史,并用不同的颜色来区分新的记录.</b>
<b>3. 鼠标提示等模块修改对隐藏目标的操作防止插件污染.</b>
<b>4. 修复单位框体目标边框染色设置失效的问题.</b>
<b>5. 简中客户端设置界面加入更新历史按钮.</b>
<b>20170625A</b>
<b>1. 解决LUA错误收集重复的问题.</b>
<b>2. 修正自定义表情不显示.</b>
<b>3. 大秘境计时修正死亡次数和系统自带重合的问题.</b>
<b>4. 更新萨格拉斯之墓副本DEBUFF.</b>
<b>5. Skada更新,增加团队HPS和个人HPS统计.</b>
<b>6. 添加萨格拉斯之墓副本中绝望的聚合体玩家被拉入灵魂世界后，技能施法距离的修正.</b>
<b>7. 修正鼠标提示玩家服务器名隐藏的问题,修正天赋和装等提示文字不为中文的问题.</b>
<b>8. DBM更新至16334,增加装备耐久检查命令/dbm durability</b>
<b>20170624A</b>
<b>1. 修复团框姓名不显示的问题，修复自定义表情不显示，修复透明主题下聊天输入框背景问题.</b>
<b>2. 更新大秘境增强插件，以修复重复的死亡次数追踪问题.</b>
<b>3. DBM更新至16312.</b>
<b>4. 添加更多的副本DEBUFF.</b>
<b>20170623A</b>
<b>1. EUI内核更新,精简一部份代码.</b>
<b>2. DBM更新至16306,并更新夏一可语音包.</b>
<b>3. 要塞增强包更新.</b>
<b>20170622A</b>
<b>1. 修正团框的就位图标设置无效的问题.</b>
<b>2. 从DBM-VPXF补充一部原夏一可语音包中少的语音,听到男声勿奇怪.</b>
<b>3. 可ROLL装备数据更新.</b>
<b>4. DBM更新至16289.</b>
<b>5. RaidDebuff补充新的数据.</b>
<b>20170620B</b>
<b>1. 更新EUI各模块的加载方式.</b>
<b>2. 更新Rematch宠物战队模块.</b>
<b>3. 更新一键宏插件.</b>
<b>4. 修复手工折叠任务追踪框，自动任务按钮不能隐藏的问题。增加永久关闭自动任务按钮的开关.</b>
<b>20170618A</b>
<b>1. 更新OUF库，以支持灵魂碎片裂片等新特性,未经全职业测试，有问题反馈.</b>
<b>2. 修改内置的/in延时宏,不再支持施放技能使用物品,会引起插件污染提示禁用.</b>
<b>3. 集成修改版BugSack错误收集插件,方便收集插件错误并反馈(会在小地图收集按钮中显示).</b>
<b>20170616A</b>
<b>1. 更新集合石,萨格拉斯之墓,场景战役,竞技场练习赛的活动无法显示在集合石中为暴雪导致.</b>
<b>2. 更新稀有检测插件，更新物品掉落表.</b>
<b>20170615B</b>
<b>1. 临时修正人集合石不能查找队伍的问题.</b>
<b>20170615A</b>
<b>1. 信息文字的本地化，一些系统皮肤修正.</b>
<b>20170613A</b>
<b>1. 移除一键宏插件一些未知宏的提示信息.</b>
<b>2. DBM更新至16268.</b>
<b>3. Masque 皮肤更新.</b>
<b>4. 圣物观察模块更新添加7.2.5数据.</b>
<b>5. 姓名版的光环可以选用黑名单过滤器.</b>
<b>6. 修正任务等级增加的报错姓名版的光环可以选用黑名单过滤器.</b>
<b>7. 单体插件中集成APIInterface模块，可在游戏中查看API方法.</b>
<b>8. 内核预更新支持7.2.5.</b>
<b>20170606A</b>
<b>1. 更新Rematch插件和皮肤.</b>
<b>2. DBM更新至16264.</b>
<b>3. 更新Masque模块并增加多套皮肤.</b>
<b>4. 更新幻化物品排序增强WardrobeSort插件，并美化下拉框.</b>
<b>5. 整体替换下拉菜单库为LibUIDropDownMenu.</b>
<b>6. 增加[affix:necrotic-rot],[affix:necrotic-rot-percent]两个标签对应死疽溃烂DEBUFF的层数和百分比,增加[affix:bursting],[affix:bursting-percent]标签对应 爆裂 DEBUFF的层数和百分比.</b>
<b>20170523A</b>
<b>1. 更新Rematch插件和皮肤.</b>
<b>2. DBM更新至16243.</b>
<b>3. 增加WardrobeSort 幻化排序插件.</b>
<b>4. 更新内置库，修复一处偶发的LUA错误.</b>
<b>20170517A</b>
<b>1. RL工具箱移除烟幕弹，增加幻影打击.</b>
<b>2. 自动任务物品中增加两种爆发药水ID.</b>
<b>3. 修正双天赋配置设置界面乱码问题.</b>
<b>4. 姓名版的一般设置中增加光环的时间和层数偏移设置.</b>
<b>5. DBM更新至16230.</b>
<b>6. 改善神器能量物品的识别方法.</b>
<b>7. 更新一键宏插件，更新Skada伤害统计插件.</b>
<b>8. 新的任务成就追踪框进度条皮肤.</b>
<b>20170510A</b>
<b>1. 修正HandyNotes设置错误.</b>
<b>2. 修正[PlayerTargetSpeed]标签的LUA错误.</b>
<b>3. 更新DBM至 16220.</b>
<b>20170509A</b>
<b>1. 禁用智能任务追踪模块.</b>
<b>2. 聊天框增加物品装等显示.</b>
<b>3. 单位框体增加玩家目标速度显示标签 [<span style="color: #3366ff;">PlayerTargetSpeed</span>].</b>
<b>4. 修复自动邀请防止中途因异常退出.</b>
<b>5. 增强功能增加了进副本自动折叠任务追踪框的开关.</b>
<b>20170508A</b>
<b>1. 当抗魔联军战争物资不为0时，不显示要塞资源.</b>
<b>2. 更新递减控制图标显示，增加类型选项并更新技能表.</b>
<b>3. 一些系统皮肤更新修正.</b>
<b>4. 更新DBM至 16216.</b>
<b>5. 队伍和团框的就位图标增加设置选项.</b>
<b>20170429B</b>
<b>1. 修正单位框体错误的边框色预设.</b>
<b>20170429A</b>
<b>1. 单位框体增加单独的边框色设置.</b>
<b>2. 更新大秘境计时插件.</b>
<b>3. 更新DBM至16190.</b>
<b>20170419C</b>
<b>1. 修复自动任务物品神器能量占用任务物品位置的问题，优化其占用.</b>
<b>2. 增加功能的自动任务物品中加入神器能量的开关.</b>
<b>20170419B</b>
<b>1. 修复自动任务物品导致的卡顿.</b>
<b>20170419A</b>
<b>1. 自动任务物品第一个按钮改为显示背包内神器能量物品.</b>
<b>2. 鼠标提示增加最大可堆叠数显示.</b>
<b>3. 修正神器条能量文字显示.</b>
<b>20170416A</b>
<b>1. 修正信息文字选项在有些环境下报错.</b>
<b>2. 修正圣物观察模块一些库加载的问题.</b>
<b>3. 修正过滤器团队减伤设置界面的报错.</b>
<b>20170415C</b>
<b>1. 还原职业条背景色配色.</b>
<b>20170415B</b>
<b>1. 修正天赋配置属性模板的错误.</b>
<b>20170415A</b>
<b>1. 修正14A带来的一些LUA错误.</b>
<b>2. 更新好友面板皮肤.</b>
<b>3. 像素主题不再强制边框色，可自由设置.</b>
<b>20170414A</b>
<b>1. 更新一键宏模块,完成部份汉化,谁愿意翻译宏的帮助说明的联系我.</b>
<b>2. 移除出错的俯仰角模块.</b>
<b>3. 更新Rematch插件和皮肤.</b>
<b>4. 更新天赋配置切换模块.</b>
<b>5. 更新集合石插件.</b>
<b>6. 继续更新圣物观察模块.</b>
<b>7. 添加HandyNotes_LegionTreasures插件，用来替代 HandyNotes_LogionRaresTreasures 插件（暂未删）.</b>
<b>20170406A</b>
<b>1. 修正圣物观察模块乱码问题.</b>
<b>2. 更新邮件助手，隐藏暴雪自带的按钮.</b>
<b>3. 升级内置库，使用新的方法计算物品装等.</b>
<b>4. 更新智能任务追踪模块.</b>
<b>5. 更新稀有精英扫描模块.</b>
<b>6. MS的暗影魔计时增加神器强化等级设置选项.</b>
<b>7. 一些系统皮肤修正，神器条数值显示修正.</b>
<b>8. 更新DBM至16137.</b>
<b>20170401B</b>
<b>1. 更新圣物观察模块.</b>
<b>2. 修正因钥石影响自动出售灰色物品的问题.</b>
<b>3. 智能任务追踪模块增加开关.</b>
<b>20170401A</b>
<b>1. 更新集合石插件.</b>
<b>2. 一些系统皮肤物品边框染色修正.</b>
<b>3. 增加智能任务追踪模块,可对追踪的任务自动排序.</b>
<span style="color: #00ffff;"><b>4. 神器界面点不开的，灰色物品无法自动售卖的，请检查安装的单体插件部份.</b></span>
<b>20170330B</b>
<b>1. 更新DBM至16103.</b>
<b>2. 一些系统皮肤修正.</b>
<b>3. 添加一些薩格拉斯之墓的RaidDebuff.</b>
<b>4. 更新大秘境计时插件.</b>
<b>5. 更新一键宏插件.</b>
<b>20170330A</b>
<b>1. 适配WoW 7.2.</b>
<b>2. 更新DBM至16061.</b>
<b>3. 更新集合石插件.</b>
<b>4. 更新大地图插件，飞行地图模块.</b>
<b>5. 更新大秘境计时插件.</b>
<b>6. 更新可ROLL装备列表插件.</b>
<b>7. 更新Skada伤害统计插件等.</b>]=];	

local function ReplaceB(str,toggle)
	local tmp
	if toggle then
		tmp = str:gsub("<b>","    "):gsub("</b>","\n")
	else
		tmp = str:gsub("<b>",""):gsub("</b>","\n")
	end
	return tmp
end

local function ModifiedString(str)
	local tmp = gsub(str, "<b>%d%d%d%d%d%d%d%d%u</b>", function(s)
		local st = ReplaceB(s)
		local s1 = tonumber(st:gsub("\n",""):sub(1,8)) or 0
		local s2 = tonumber((E.global.Ver):sub(1,8)) or 0 --判断更新前的版本
		if s1 > s2 then
			return "|cffff7d0a" .. st .. "|r"
		else
			return "|cFFFFFF00" .. st .. "|r"
		end
	end)
	return ReplaceB(tmp, true)
end

local function GetChangeLogInfo(i)
	for line, info in pairs(ChangeLogData) do
		if line == i then return info end
	end
end

function ChangeLog:CreateLogFrame()
	local title = CreateFrame("Frame", "EUIChangeLogFrame", E.UIParent, "BackdropTemplate")
	title:SetPoint("CENTER",  E.UIParent, 'CENTER', 0, 200)
	tinsert(UISpecialFrames, "EUIChangeLogFrame")
	title:SetSize(578, 30)
	title:SetTemplate("Transparent")
	title.text = title:CreateFontString(nil, "OVERLAY")
	title.text:SetPoint("CENTER", title, 0, -1)
	title.text:SetFont(E["media"].normFont, 16)
	title.text:SetText("|cffff7d0aEUI|r - " .. L["ChangeLog"])
	title:SetMovable(true)
	title:EnableMouse(true)
	title:Hide()
	title:SetScript("OnMouseDown", function(self, button)
		if button == "LeftButton" and not self.isMoving then
			self:StartMoving();
			self.isMoving = true;
		elseif button == "RightButton" and not self.isSizing then
			self:StartSizing();
			self.isSizing = true;
		end
	end)
	title:SetScript("OnMouseUp", function(self, button)
		if button == "LeftButton" and self.isMoving then
			self:StopMovingOrSizing();
			self.isMoving = false;
		elseif button == "RightButton" and self.isSizing then
			self:StopMovingOrSizing();
			self.isSizing = false;
		end
	end)
	title:SetScript("OnHide", function(self)
		if ( self.isMoving or self.isSizing) then
			self:StopMovingOrSizing();
			self.isMoving = false;
			self.isSizing = false;
		end
	end)

	local frame = CreateFrame("Frame", nil, title, "BackdropTemplate")
	frame:SetTemplate('Transparent')
	frame:Size(600, 200)
	frame:Point('TOPRIGHT', title, 'BOTTOMRIGHT', 0, -2)
	frame:SetResizable(true)
	frame:SetMinResize(350, 100)
	frame:SetFrameStrata("DIALOG")
	
	local icon = CreateFrame("Frame", nil, frame, "BackdropTemplate")
	icon:SetPoint("BOTTOMLEFT", frame, "TOPLEFT", -20, 2)
	icon:SetSize(40, 40)
	icon:SetTemplate("Transparent")
	icon.bg = icon:CreateTexture(nil, "ARTWORK")
	icon.bg:Point("TOPLEFT", 2, -2)
	icon.bg:Point("BOTTOMRIGHT", -2, 2)
	icon.bg:SetTexture([[Interface\AddOns\ElvUI\media\textures\eui_logo.tga]])

	local scrollArea = CreateFrame("ScrollFrame", "EUIChangeLogScrollFrame", frame, "UIPanelScrollFrameTemplate")
	scrollArea:Point("TOPLEFT", frame, "TOPLEFT", 8, -30)
	scrollArea:Point("BOTTOMRIGHT", frame, "BOTTOMRIGHT", -30, 8)
	S:HandleScrollBar(EUIChangeLogScrollFrameScrollBar)

	scrollArea:SetScript("OnSizeChanged", function(self)
		EUIChangeLogFrameEditBox:Width(self:GetWidth())
		EUIChangeLogFrameEditBox:Height(self:GetHeight())
	end)
	scrollArea:HookScript("OnVerticalScroll", function(self, offset)
		EUIChangeLogFrameEditBox:SetHitRectInsets(0, 0, offset, (EUIChangeLogFrameEditBox:GetHeight() - offset - self:GetHeight()))
	end)

	local editBox = CreateFrame("EditBox", "EUIChangeLogFrameEditBox", frame, "BackdropTemplate")
	editBox:SetMultiLine(true)
	editBox:SetMaxLetters(99999)
	editBox:EnableMouse(true)
	editBox:SetAutoFocus(false)
	editBox:SetFontObject(ChatFontNormal)
	editBox:Width(scrollArea:GetWidth())
	editBox:Height(200)
	editBox:SetScript("OnEscapePressed", function() EUIChangeLogFrame:Hide() end)
	scrollArea:SetScrollChild(editBox)

	local close = CreateFrame("Button", "EUIChangeLogFrameCloseButton", title, "UIPanelCloseButton")
	close:Point("TOPRIGHT")
	close:SetFrameLevel(close:GetFrameLevel() + 1)
	close:EnableMouse(true)

	S:HandleCloseButton(close)
end

function E:ToggleChangeLog()
	local frame = EUIChangeLogFrame or ChangeLog:CreateLogFrame()

	EUIChangeLogFrameEditBox:SetText(ModifiedString(ChangeLogWebData));
	PlaySound(88)

	if not E.global.Ver then ChangeLog:CheckVersion() end
	
	if not EUIChangeLogFrame:IsShown() then
		EUIChangeLogFrame:Show()
	else
		EUIChangeLogFrame:Hide()
	end
end

function ChangeLog:CheckVersion()
	if GetLocale() == 'zhCN' then
		if not E.global.Ver or (E.global.Ver and E.global.Ver ~= E.Ver) then
			E:ToggleChangeLog()
			E.global.Ver = E.Ver
			E:UnregisterEvent("PLAYER_ENTERING_WORLD")
		end
	end
end

function ChangeLog:Initialize()
	if E.private.install_complete == nil then return; end

	self:RegisterEvent("PLAYER_ENTERING_WORLD", "CheckVersion")
	
end

E:RegisterModule(ChangeLog:GetName())